%define	upstream_name    Mail-Box
%define upstream_version 2.109

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Mail-folder manager API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Date::Format)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(Devel::GlobalDestruction) >= 0.90.0
BuildRequires: perl(Digest::HMAC_MD5)
BuildRequires: perl(Encode) >= 2.260.0
BuildRequires: perl(Errno)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Remove) >= 0.200.0
BuildRequires: perl(File::Spec) >= 0.700.0
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MIME::Types) >= 1.4.0
BuildRequires: perl(Mail::Address)
BuildRequires: perl(Object::Realize::Later) >= 0.140.0
BuildRequires: perl(Scalar::Util) >= 1.130.0
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(TAP::Harness) >= 3.0.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::Pod) >= 1.0.0
BuildRequires: perl(Time::Zone)
BuildRequires: perl(URI) >= 1.230.0
BuildRequires: perl(User::Identity) >= 0.930.0
BuildRequires: perl-File-Remove
BuildRequires: perl-HTML-Format
BuildRequires: perl-HTML-Tree
BuildRequires: perl-Mail-IMAPClient
BuildRequires: perl-Mail-MboxParser
BuildRequires: perl-Mail-SpamAssassin
BuildRequires: perl-MailTools
BuildRequires: perl-MIME-tools
BuildRequires: perl-MIME-Types
BuildRequires: perl-Object-Realize-Later
BuildRequires: perl-User-Identity
BuildArch:  noarch

Requires:   perl(Object::Realize::Later)
Provides:   perl(Mail::Message::Construct)

%description
Mail::Box is a Perl CPAN package that can be used to handle and manage E-mail
messages, mail boxes, and folders of many types.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

#%check
#%{__make} test

%install
%makeinstall_std

# fix permissions
find %{buildroot} -type f -exec chmod 0644 {} \;
find %{buildroot} -type d -exec chmod 0755 {} \;

# remove unused file
rm -f %{buildroot}%{perl_vendorlib}/Mail/Makefile.PL

%files
%doc ChangeLog INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/*/*
%{perl_vendorlib}/Mail

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.109.0-2.mga4
+ Revision: 532343
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 sander85 <sander85> 2.109.0-1.mga4
+ Revision: 467944
- update to 2.109

* Wed Jun 26 2013 jquelin <jquelin> 2.108.0-1.mga4
+ Revision: 447044
- update to 2.108

* Sun Jan 13 2013 umeabot <umeabot> 2.107.0-2.mga3
+ Revision: 369395
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.107.0-1.mga3
+ Revision: 342385
- update to 2.107

* Fri Aug 31 2012 kharec <kharec> 2.106.0-1.mga3
+ Revision: 286280
- update to 2.106

* Tue Jun 05 2012 jquelin <jquelin> 2.105.0-1.mga3
+ Revision: 255150
- update to 2.105

* Thu Jan 05 2012 jquelin <jquelin> 2.102.0-1.mga2
+ Revision: 191209
- update to 2.102
- update to 2.101

* Fri Jul 08 2011 jquelin <jquelin> 2.99.0-1.mga2
+ Revision: 120437
- update to 2.099

* Fri Mar 18 2011 jquelin <jquelin> 2.98.0-1.mga1
+ Revision: 74126
- update to 2.098

* Mon Jan 31 2011 dmorgan <dmorgan> 2.97.0-1.mga1
+ Revision: 45203
- New version

* Mon Jan 24 2011 jquelin <jquelin> 2.96.0-1.mga1
+ Revision: 36408
- mageia rebuild
- imported package perl-Mail-Box


* Sat Dec 18 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.96.0-1mdv2011.0
+ Revision: 622845
- update to new version 2.096

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 2.95.0-2mdv2011.0
+ Revision: 564739
- rebuild for perl 5.12.1

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 2.95.0-1mdv2011.0
+ Revision: 552412
- update to 2.095

* Tue Apr 06 2010 Jérôme Quelin <jquelin@mandriva.org> 2.94.0-1mdv2010.1
+ Revision: 532152
- update to 2.094

  + Shlomi Fish <shlomif@mandriva.org>
    - Convert to a better description.

* Mon Dec 28 2009 Jérôme Quelin <jquelin@mandriva.org> 2.93.0-1mdv2010.1
+ Revision: 483042
- update to 2.093

* Sat Nov 21 2009 Jérôme Quelin <jquelin@mandriva.org> 2.92.0-1mdv2010.1
+ Revision: 467881
- update to 2.092

* Mon Sep 07 2009 Jérôme Quelin <jquelin@mandriva.org> 2.91.0-1mdv2010.0
+ Revision: 432396
- update to 2.091

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.090-1mdv2010.0
+ Revision: 383527
- update to new version 2.090

* Sat May 02 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.089-1mdv2010.0
+ Revision: 370489
- update to new version 2.089

* Wed Mar 25 2009 Michael Scherer <misc@mandriva.org> 2.088-2mdv2009.1
+ Revision: 360973
- fix missing Requires

* Fri Mar 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.088-1mdv2009.1
+ Revision: 359060
- update to new version 2.088

* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.087-1mdv2009.1
+ Revision: 337658
- update to new version 2.087

* Sun Dec 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.086-1mdv2009.1
+ Revision: 314251
- update to new version 2.086

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.084-1mdv2009.1
+ Revision: 292198
- update to new version 2.084

* Fri Sep 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.083-1mdv2009.0
+ Revision: 281737
- new version

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 2.082-2mdv2009.0
+ Revision: 265369
- rebuild early 2009.0 package (before pixel changes)

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.082-1mdv2009.0
+ Revision: 201857
- update to new version 2.082

* Tue Feb 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.081-1mdv2008.1
+ Revision: 175332
- update to new version 2.081

* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.080-1mdv2008.1
+ Revision: 156178
- update to new version 2.080
- update to new version 2.080

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.079-1mdv2008.1
+ Revision: 113872
- update to new version 2.079

* Sun Nov 11 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.078-1mdv2008.1
+ Revision: 107977
- update to new version 2.078

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.076-1mdv2008.1
+ Revision: 104560
- update to new version 2.076

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.075-1mdv2008.1
+ Revision: 97512
- update to new version 2.075

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.073-1mdv2008.0
+ Revision: 56104
- new version

* Tue Jul 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.072-1mdv2008.0
+ Revision: 47697
- update to new version 2.072

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 2.070-1mdv2008.0
+ Revision: 20263
- 2.070
- disable test, don't start

* Fri Apr 27 2007 Oden Eriksson <oeriksson@mandriva.com> 2.065-2mdv2008.0
+ Revision: 18584
- rebuild


* Tue Mar 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.065-1mdk
- New release

* Mon Nov 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.063-1mdk
- 2.063

* Wed Sep 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.062-1mdk
- New release 2.062
- rpmbuildupdate aware
- spec cleanup

* Fri Jul 08 2005 Andreas Hasenack <andreas@mandriva.com> 2.061-1mdk
- packaged for Mandriva

